﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Xml;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {

        List<Class1> datos = new List<Class1>();
        string layoutData1 = "";
        string layoutData2 = "";

        public Form1()
        {
            InitializeComponent();
            datos.Add(new Class1 { Campo1 = "Dato1", Campo2 = "Dato1" });
            datos.Add(new Class1 { Campo1 = "Dato2", Campo2 = "Dato2" });
            datos.Add(new Class1 { Campo1 = "Dato3", Campo2 = "Dato3" });
            datos.Add(new Class1 { Campo1 = "Dato4", Campo2 = "Dato4" });
            datos.Add(new Class1 { Campo1 = "Dato5", Campo2 = "Dato5" });
            bindingSource1.DataSource = datos;
            bindingSource1.ResetBindings(false);
            gridGroupingControl1.Refresh();
        }

        private void saveButton_Click(object sender, EventArgs e)
        {
            using (var stringWriter = new StringWriter())
            {
                using (var xmlWriter = XmlWriter.Create(stringWriter))
                {
                    gridGroupingControl1.WriteXmlLookAndFeel(xmlWriter);
                }
                layoutData1 = stringWriter.ToString();
            }
            using (var stringWriter = new StringWriter())
            {
                using (var xmlWriter = XmlWriter.Create(stringWriter))
                {
                    gridGroupingControl1.WriteXmlSchema(xmlWriter);
                }
                layoutData2 = stringWriter.ToString();
            }

        }

        private void loadButton_Click(object sender, EventArgs e)
        {


            using (var stringReader = new StringReader(layoutData2))
            {
                using (var xmlReader = XmlReader.Create(stringReader))
                {
                    gridGroupingControl1.ApplyXmlSchema(xmlReader);
                }
            }

        }
    }
}
